Update Dispute Evidence
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": {
"contacted": {
"value": "no"
}
},
"fields": {
"product_description": "Steam Game Keys x1"
},
"rebuttal": "We dispute this chargeback..."
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence"
payload = {
"answers": { "contacted": { "value": "no" } },
"fields": { "product_description": "Steam Game Keys x1" },
"rebuttal": "We dispute this chargeback..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
answers: {contacted: {value: 'no'}},
fields: {product_description: 'Steam Game Keys x1'},
rebuttal: 'We dispute this chargeback...'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
'contacted' => [
'value' => 'no'
]
],
'fields' => [
'product_description' => 'Steam Game Keys x1'
],
'rebuttal' => 'We dispute this chargeback...'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence"
payload := strings.NewReader("{\n \"answers\": {\n \"contacted\": {\n \"value\": \"no\"\n }\n },\n \"fields\": {\n \"product_description\": \"Steam Game Keys x1\"\n },\n \"rebuttal\": \"We dispute this chargeback...\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": {\n \"contacted\": {\n \"value\": \"no\"\n }\n },\n \"fields\": {\n \"product_description\": \"Steam Game Keys x1\"\n },\n \"rebuttal\": \"We dispute this chargeback...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": {\n \"contacted\": {\n \"value\": \"no\"\n }\n },\n \"fields\": {\n \"product_description\": \"Steam Game Keys x1\"\n },\n \"rebuttal\": \"We dispute this chargeback...\"\n}"
response = http.request(request)
puts response.read_bodyDisputes
Update Dispute Evidence
Saves the response draft. Requires the Scale plan.
PUT
/
v1
/
shops
/
{shopId}
/
disputes
/
{disputeId}
/
evidence
Update Dispute Evidence
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": {
"contacted": {
"value": "no"
}
},
"fields": {
"product_description": "Steam Game Keys x1"
},
"rebuttal": "We dispute this chargeback..."
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence"
payload = {
"answers": { "contacted": { "value": "no" } },
"fields": { "product_description": "Steam Game Keys x1" },
"rebuttal": "We dispute this chargeback..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
answers: {contacted: {value: 'no'}},
fields: {product_description: 'Steam Game Keys x1'},
rebuttal: 'We dispute this chargeback...'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
'contacted' => [
'value' => 'no'
]
],
'fields' => [
'product_description' => 'Steam Game Keys x1'
],
'rebuttal' => 'We dispute this chargeback...'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence"
payload := strings.NewReader("{\n \"answers\": {\n \"contacted\": {\n \"value\": \"no\"\n }\n },\n \"fields\": {\n \"product_description\": \"Steam Game Keys x1\"\n },\n \"rebuttal\": \"We dispute this chargeback...\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": {\n \"contacted\": {\n \"value\": \"no\"\n }\n },\n \"fields\": {\n \"product_description\": \"Steam Game Keys x1\"\n },\n \"rebuttal\": \"We dispute this chargeback...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/disputes/{disputeId}/evidence")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": {\n \"contacted\": {\n \"value\": \"no\"\n }\n },\n \"fields\": {\n \"product_description\": \"Steam Game Keys x1\"\n },\n \"rebuttal\": \"We dispute this chargeback...\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
Body
application/json
Response
200